# Interface Translations

#### Hierarchy

- Translations

#####
Index

### Properties

stepCurrent
stepDisabled
stepInfo
stepMessageConfirmation
stepMessageError
stepMessageInfo
stepMessageType
stepMessageWarning
stepNotVisited
stepStatus
stepVisited

## Properties

### stepCurrent

stepCurrent: string

Description for the current train step status.

### stepDisabled

stepDisabled: string

Description for the disabled train step status.

### stepInfo

stepInfo: string

General description for a train step. The text may contain tokens '{index}' and '{count}', which will be replaced by the corresponding train step values.

### stepMessageConfirmation

stepMessageConfirmation: string

Description for the train step message type Confirmation.

### stepMessageError

stepMessageError: string

Description for the train step message type Error.

### stepMessageInfo

stepMessageInfo: string

Description for the train step message type Info.

### stepMessageType

stepMessageType: string

Description for the train step message type. The actual value is passed in the '{messageType}' token.

### stepMessageWarning

stepMessageWarning: string

Description for the train step message type Warning.

### stepNotVisited

stepNotVisited: string

Description for the non-visited train step status.

### stepStatus

stepStatus: string

Description for the train step status. The actual status value is passed in the '{status}' token.

### stepVisited

stepVisited: string

Description for the visited train step status.

Generated using TypeDoc